Subject: RE: [Diffserv-interest] RE: [Diffserv] [OFFLIST] MPLS+Diffserv(ma pping DSCP to EXP)

From: Shahram Davari <[email-masked]>
Date: Wed, 5 Feb 2003 07:20:19 -0800

Brian,

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Wednesday, February 05, 2003 2:57 AM
> To: Jeff Norman
> Cc: Shahram Davari; 'Mark Duffy'; [email-masked];
> [email-masked]
> Subject: Re: [Diffserv-interest] RE: [Diffserv] [OFFLIST]
> MPLS+Diffserv(mapping DSCP to EXP)
> 
> 
> Please remove the cc to the diffserv list, since this fits best
> on diffserv-interest.
> 
> I don't think loss of info is a tragedy. All this says is that
> QOS granularity of MPLS is coarser than the QOS granularity
> of diffserv.

I disagree with you here. In case of configured E-LSPs you are correct,
but in case one uses signaled E-LSPs you could in fact support all 64 PHBs
using 8 parallel LSPs. 

Yours,
-Shahram

 When the IP packets leave the MPLS domain, they
> will still carry their DSCP and can receive diffserv treatment
> in the downstream IP domain. The fact that several diffserv
> aggregates may be mixed on a single LSP is no worse than them being
> mixed on a leased line, which is the standard diffserv model.
> 
> (In other words, an LSP is a level 2 as far as diffserv is concerned,
> and diffserv is designed to work over any level 2.)
> 
> Also, you don't need 64 mappings in practice. A given diffserv domain 
> will only have a few PHBs in use; 8 DSCPs active in one domain 
> (including default) would be a lot, in my view. (OK, there are people 
> who imagine much more complexity, but that leads to a management
> nightmare.) So it doesn't really matter if the solution to
> support 64 mappings is clumsy.
> 
>    Brian
> 
> Jeff Norman wrote:
> > 
> > Shahram,
> >   You are referring to L-LSPs where a one-to-one mapping can
> > be done, where as E-LSPs there isn't, which is what I believe
> > nerdboy is asking about.
> > 
> > Best Regards,
> > --Jeff
> > 
> > In message "[Diffserv] [OFFLIST] MPLS+Diffserv(mapping DSCP 
> to EXP)", Shahram Davari writes:
> > 
> > >> -----Original Message-----
> > >> From: Mark Duffy [mailto:[email-masked]]
> > >> Sent: Tuesday, February 04, 2003 7:29 AM
> > >> To: [email-masked]; [email-masked]
> > >
> > >> >2. Further, since the DSCP  ( pow(2,8) = 256 combinations )
> > >> is 8 bits and
> > >> >provides 22 different PHB's(or roughly 7 different classes),
> > >> >      and the EXP is just 3 bits and therefore can provide
> > >> only upto 8
> > >> >different classes, wouldnt there be loss of info while
> > >> mapping DSCP->EXP ?
> > >> >
> > >
> > >No because in MPLS we do DSCP=> PHB translation and PHB=> 
> EXP+Label encoding. The label gives you the context info, so 
> each label can support up to 8 PHBs. To support all 64 PHBs 
> (which are not defined yet) you need 8 parallel LSPs.
> > >
> > >
> > >-Shahram
> 
_______________________________________________
Diffserv-interest mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv-interest